ARCH-CHROOT(8)

BEZEICHNUNG
arch-chroot - erweiterter chroot-Befehl

ÜBERSICHT

arch-chroot [Optionen] chroot-Verzeichnis [Befehl] [Argumente …]

BESCHREIBUNG

arch-chroot ist ein Wrapper für den Befehl chroot(1), wobei sichergestellt wird, dass wichtige Funktionalität verfügbar bleibt, beispielsweise das Einhängen von /dev/, /proc und anderen API-Dateisystemen, oder die Offenlegung von resolv.conf(5) zur chroot-Umgebung.

Falls kein Befehl angegeben ist, führt arch-chroot den Befehl /bin/bash aus.

    Hinweis

    Das chroot-Zielverzeichnis sollte ein Einhängepunkt sein. Dadurch ist gewährleistet, dass Werkzeuge wie pacman(8) oder findmnt(8) innerhalb des chroot-Verzeichnisses eine akkurate Hierarchie der eingehängten Dateisysteme vorfinden. Falls Ihr chroot-Zielverzeichnis kein Einhängepunkt ist, können Sie das Verzeichnis per Bind-Einhängung auf sich selbst zu einem Einhängepunkt machen, das heißt:

    mount --bind /Ihr/chroot-Verzeichnis /Ihr/chroot-Verzeichnis

OPTIONEN

-N
    bewirkt die Ausführung im Unshare-Modus. Hierzu wird mittels unshare(1) ein neuer Einhänge- und Benutzernamensraum erzeugt, wodurch reguläre Benutzer die Möglichkeit erhalten, System-Neuinstallationen auszuführen.

-u <Benutzer>[:Gruppe]
    gibt den zu verwendenden (nicht als Systemadministrator fungierenden) Benutzer und optional dessen Gruppe an.

-h
    gibt die Syntax und Befehlszeilenoptionen aus.

SIEHE AUCH

pacman(8)

FEHLER

Fehler können im Fehlererfassungssystem auf https://bugs.archlinux.org in der Kategorie »Arch Linux« gemeldet werden. Stellen Sie dem Titel bitte [arch-install-scripts] voran. Alternativ können Sie Fehler über die E-Mail-Adresse arch-projects@archlinux.org melden.

AUTOREN

Betreuer:

    • Dave Reisner (dreisner@archlinux.org)

    • Eli Schwartz (eschwartz@archlinux.org)

Informationen zu weiteren Mitwirkenden erhalten Sie, wenn Sie den Befehl git shortlog -s im Git-Repositorium arch-install-scripts.git aufrufen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).